Package org.eclipse.graphiti.tb

# Interface IShapeSelectionInfo

All Superinterfaces:
  `ISelectionInfo`

All Known Subinterfaces:
  `IAnchorSelectionInfo`

All Known Implementing Classes:
  `AnchorSelectionInfoImpl`, `ShapeSelectionInfoImpl`

public interface IShapeSelectionInfo extends ISelectionInfo
The Interface IShapeSelectionInfo.

Since:
  0.10

## Method Summary

Modifier and Type
Method
Description
`IColorConstant`
`getPrimarySelectionBackgroundColor()`
Gets the primary selection background color.
`IColorConstant`
`getPrimarySelectionHandleBackgroundColor()`
Gets the primary selection background color for the selection handle.
`IColorConstant`
`getPrimarySelectionHandleForegroundColor()`
Gets the primary selection foreground color for the selection handle.
`IColorConstant`
`getSecondarySelectionBackgroundColor()`
Gets the secondary selection background color.
`IColorConstant`
`getSecondarySelectionHandleBackgroundColor()`
Gets the secondary selection background color for the selection handle.
`IColorConstant`
`getSecondarySelectionHandleForegroundColor()`
Gets the secondary selection foreground color for the selection handle.
`void`
`setPrimarySelectionBackgroundColor(IColorConstant color)`
Sets color for primary selection background.
`void`
`setPrimarySelectionHandleBackgroundColor(IColorConstant color)`
Sets the primary selection background color for the selection handle.
`void`
`setPrimarySelectionHandleForegroundColor(IColorConstant color)`
Sets the primary selection foreground color for the selection handle.
`void`
`setSecondarySelectionBackgroundColor(IColorConstant color)`
Sets color for secondary selection background.
`void`
`setSecondarySelectionHandleBackgroundColor(IColorConstant color)`
Sets the secondary selection background color for the selection handle.
`void`
`setSecondarySelectionHandleForegroundColor(IColorConstant color)`
Sets the secondary selection foreground color for the selection handle.

### Methods inherited from interface org.eclipse.graphiti.tb.ISelectionInfo

`getColor, getHoverColor, getHoverColorParentSelected, getLineStyle, getLineWidth, setColor, setHoverColor, setHoverColorParentSelected, setLineStyle, setLineWidth`

## Method Details

### getPrimarySelectionBackgroundColor

IColorConstant getPrimarySelectionBackgroundColor()
Gets the primary selection background color. Only used if no Rendering style is set.

Returns:
  the primary selection background color

### getSecondarySelectionBackgroundColor

IColorConstant getSecondarySelectionBackgroundColor()
Gets the secondary selection background color. Only used if no Rendering style is set.

Returns:
  the secondary selection background color

### setPrimarySelectionBackgroundColor

void setPrimarySelectionBackgroundColor(IColorConstant color)
Sets color for primary selection background. Only used if no Rendering style is set.

Parameters:
  `color` - the color

### setSecondarySelectionBackgroundColor

void setSecondarySelectionBackgroundColor(IColorConstant color)
Sets color for secondary selection background. Only used if no Rendering style is set.

Parameters:
  `color` - the color

### getPrimarySelectionHandleForegroundColor

IColorConstant getPrimarySelectionHandleForegroundColor()
Gets the primary selection foreground color for the selection handle.

Returns:
  the foreground color

### getPrimarySelectionHandleBackgroundColor

IColorConstant getPrimarySelectionHandleBackgroundColor()
Gets the primary selection background color for the selection handle.

Returns:
  the background color

### getSecondarySelectionHandleForegroundColor

IColorConstant getSecondarySelectionHandleForegroundColor()
Gets the secondary selection foreground color for the selection handle.

Returns:
  the foreground color

### getSecondarySelectionHandleBackgroundColor

IColorConstant getSecondarySelectionHandleBackgroundColor()
Gets the secondary selection background color for the selection handle.

Returns:
  the background color

### setPrimarySelectionHandleForegroundColor

void setPrimarySelectionHandleForegroundColor(IColorConstant color)
Sets the primary selection foreground color for the selection handle.

Parameters:
  `color` - the color

### setPrimarySelectionHandleBackgroundColor

void setPrimarySelectionHandleBackgroundColor(IColorConstant color)
Sets the primary selection background color for the selection handle.

Parameters:
  `color` - the color

### setSecondarySelectionHandleForegroundColor

void setSecondarySelectionHandleForegroundColor(IColorConstant color)
Sets the secondary selection foreground color for the selection handle.

Parameters:
  `color` - the color

### setSecondarySelectionHandleBackgroundColor

void setSecondarySelectionHandleBackgroundColor(IColorConstant color)
Sets the secondary selection background color for the selection handle.

Parameters:
  `color` - the color